Summary: Q-Graph - Graph library and editor for the Q programming language
Name: q-graph
Version: 1.3
Release: alt1
License: GPL
Group: Development/Other
URL: http://q-lang.sourceforge.net/
Source: http://prdownloads.sourceforge.net/q-lang/graph-%{version}.tar.bz2
Packager: Alexey Voinov <voins@altlinux.ru>
BuildArch: noarch

Patch: %name-1.3-alt-makefile.patch

%description
This is Q-Graph, a graph library and editor for the Q programming
language. Requires Q 4.1 or later, and Tcl/Tk 8.4 or later for the graph
editor.

%prep
%setup -q -n graph-%version
%patch -p1
aclocal
automake
autoconf

%build
%configure
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/usr/share/q/lib/graphed.q
cp src/graphed.q $RPM_BUILD_ROOT/usr/share/q/lib/graphed.q
chmod a+x $RPM_BUILD_ROOT/usr/share/q/lib/graphed.q
rm -f $RPM_BUILD_ROOT/usr/bin/graphed $RPM_BUILD_ROOT/usr/bin/graphed2
ln -sf /usr/share/q/lib/graphed.q $RPM_BUILD_ROOT/usr/bin/graphed
ln -sf /usr/share/q/lib/graphed.q $RPM_BUILD_ROOT/usr/bin/graphed2

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%_datadir/q/etc/README-Graph
%_datadir/q/lib/graph.q
%_datadir/q/lib/graphed.q
%_datadir/q/lib/graphed.tcl
%_datadir/q/examples/graph
%_bindir/graphed
%_bindir/graphed2

%changelog
* Tue Sep 14 2004 Alexey Voinov <voins@altlinux.ru> 1.3-alt1
- initial build [using spec-file by
  Albert Graef (ag@muwiinfa.geschichte.uni-mainz.de) as template]

